List Teams
curl --request GET \
--url https://api.primeintellect.ai/api/admin/teams \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/admin/teams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/admin/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"slug": "<string>",
"email": "<string>",
"hasBetaAccess": false
}
],
"total_count": 0,
"offset": 0,
"limit": 100,
"status": "<string>"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}admin-teams
List Teams
List teams (auto-scoped to the caller’s grants).
GET
/
api
/
admin
/
teams
List Teams
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Case-insensitive substring match against name, email or id.
Number of items to skip.
Required range:
x >= 0Max items to return (1-100).
Required range:
1 <= x <= 100Response
Successful Response
Show child attributes
Show child attributes
Total number of items available in the dataset
Number of items to skip before starting to collect the result set
Required range:
x >= 0Maximum number of items to return
Required range:
x >= 0Response status
Was this page helpful?